#  You may get better performance with these 2.0.1 flags
#  OPTFLAGS = -xcg89 -Wa,-cg92 
CFLAGS = $(OPTFLAGS) -I$(XILHOME)/include -I$(OPENWINHOME)/include -D_REENTRANT

LIBS = -L$(XILHOME)/lib -L$(OPENWINHOME)/lib -R/opt/SUNWits/Graphics-sw/xil/lib:/usr/openwin/lib

all := LIBS += -lxil -lX11 -ldl -ldga -lthread

debug := LIBS += -lxil -lX11 -ldga -ldl -lthread
debug := CFLAGS += -g

PROG = xil_decompress

OBJS = memmap.o xil_decompress.o xilcis_color.o

INCS = memmap.h

ALL = $(PROG) $(INCS)

install: all

all:	$(ALL)

default: $(ALL)

debug:	$(ALL)

debug_install:  debug

clean:
	/bin/rm -f $(OBJS) $(PROG) 

$(PROG): $(INCS) $(OBJS)
	$(CC) $(OBJS) -o $(PROG) $(LIBS)

